<div class="grid grid-cols-12 min-h-screen">

  {{template "partials/sidebar" "people"}}

  <div class="col-span-7 md:col-span-8 lg:col-span-9 p-6 bg-slate-50">
    <h1 class="text-2xl font-medium mb-3">Voeg een persoon toe</h1>

    <p class="mb-7"><a href="/people"
        class="inline-flex items-center text-sm text-sky-600 hover:text-sky-700 hover:underline"><svg
          class="w-4 h-4 mr-1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
          <path fill="currentColor" d="M20 11v2H8l5.5 5.5l-1.42 1.42L4.16 12l7.92-7.92L13.5 5.5L8 11h12Z" />
        </svg> Terug naar alle personen</a></p>

    <div id="results"></div>

    <form method="POST" action="/people" hx-post="/people" hx-target="#results">
      <div class="grid grid-cols-12 mb-4">
        <label for="name"
          class="col-span-12 sm:col-span-4 md:col-span-3 sm:pr-2 pt-6 sm:pb-6 border-t text-gray-600 font-medium break-words">Naam</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <input type="text" id="name"
            class="border border-gray-300 text-gray-800 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5 shadow-sm placeholder:text-gray-400"
            name="name" placeholder="Naam" autocomplete="off" autofocus>
        </div>

        <label for="bsn"
          class="col-span-12 sm:col-span-4 md:col-span-3 sm:pr-2 pt-6 sm:pb-6 border-t text-gray-600 font-medium break-words">Burgerservicenummer</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <input type="text" id="bsn"
            class="border border-gray-300 text-gray-800 text-sm rounded-lg focus:outline-none focus:ring-1 focus:ring-sky-500 focus:border-sky-500 block w-full p-2.5 shadow-sm placeholder:text-gray-400"
            name="BSN" placeholder="Burgerservicenummer">
        </div>

        <label
          class="col-span-12 sm:col-span-4 md:col-span-3 sm:pr-2 pt-6 sm:pb-6 border-t text-gray-600 font-medium break-words">Geslacht</label>
        <div class="flex flex-col col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:py-6 sm:border-t">
          <label class="inline-flex items-center text-gray-600 mb-2">
            <input class="form-radio rounded-full border-gray-300 text-sky-600 focus:ring-sky-500 mr-3" name="sex"
              value="male" type="radio">
            Man</label>
          <label class="inline-flex items-center text-gray-600 mb-2">
            <input class="form-radio rounded-full border-gray-300 text-sky-600 focus:ring-sky-500 mr-3" name="sex"
              value="female" type="radio">
            Vrouw</label>
          <label class="inline-flex items-center text-gray-600 mb-2">
            <input class="form-radio rounded-full border-gray-300 text-sky-600 focus:ring-sky-500 mr-3" name="sex"
              value="non-binary" type="radio">
            Niet-binair</label>
        </div>

        <label for="born-at"
          class="col-span-12 sm:col-span-4 md:col-span-3 sm:pr-2 pt-6 sm:pb-6 border-t text-gray-600 font-medium break-words">Geboortedatum</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <es-datetimepicker id="born-at" name="bornAt" placeholder="Selecteer datum en tijd"
            extra-input-classes="w-full"></es-datetimepicker>
        </div>

        <label for="died-at"
          class="col-span-12 sm:col-span-4 md:col-span-3 sm:pr-2 pt-6 sm:pb-6 border-t text-gray-600 font-medium break-words">Overlijdensdatum
          <span class="text-sm font-normal text-gray-400">(optioneel)</span>
        </label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <es-datetimepicker id="died-at" name="diedAt" placeholder="Selecteer datum en tijd"
            extra-input-classes="w-full"></es-datetimepicker>
        </div>

        <label for="address"
          class="col-span-12 sm:col-span-4 md:col-span-3 sm:pr-2 pt-6 sm:pb-6 border-t text-gray-600 font-medium break-words">Ingechreven op
          adres</label>
        <div class="col-span-12 sm:col-span-8 md:col-span-9 py-4 sm:border-t">
          <es-dropdown-with-search id="address" name="registeredAddressId"
            placeholder="Kies een adres"
            hx-trigger="keyup change"
            hx-get="/people/new"
            hx-vals="js:{s: event.target.value}"
            hx-target="#list">
            <template id="template">{{ template "partials/person-new-address-list" . }}</template>
          </es-dropdown>
        </div>{{/* IMPROVE: fetch choices via XHR instead of static (but not required for a demo environment) */}}
      </div>

      <p class="mb-8"><button type="submit"
          class="inline-block text-white bg-sky-500 border border-sky-600 hover:bg-sky-600 hover:border-sky-700 focus:ring-4 focus:outline-none focus:ring-sky-200 font-medium rounded-lg text-sm px-5 py-2.5 shadow-sm">Opslaan</button>
      </p>
    </form>
  </div>

</div>
